import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/pick',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/pick/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/pick',
    method: 'put',
    data
  })
}
export function allocate(ids) {
  return request({
    url: 'api/pick/allocate',
    method: 'post',
    data: ids
  })
}

export function cancelAllocate(ids) {
  return request({
    url: 'api/pick/cancelAllocate',
    method: 'post',
    data: ids
  })
}
export default { add, edit, del, allocate , cancelAllocate }
